Package Details: pantalaimon 0.10.4-1

Git Clone URL: https://aur.archlinux.org/pantalaimon.git (read-only, click to copy)
Package Base: pantalaimon
Description: Pantalaimon is an end-to-end encryption aware Matrix reverse proxy daemon.
Upstream URL: https://github.com/matrix-org/pantalaimon
Licenses: Apache
Submitter: Midov
Maintainer: Midov
Last Packager: Midov
Votes: 4
Popularity: 0.009836
First Submitted: 2019-09-08 17:01 (UTC)
Last Updated: 2022-02-05 20:25 (UTC)

Latest Comments

Thaodan commented on 2022-07-10 19:10 (UTC)

Can you make the pkgbuild so it follows: https://wiki.archlinux.org/title/Python_package_guidelines#setuptools_or_distutils?

e-v commented on 2022-04-04 23:14 (UTC)

diabonas: It works, thanks!

diabonas commented on 2022-04-04 22:41 (UTC)

@e-v, Midov: python-matrix-nio 0.19.0-3 removes the dependency version pinning, which should hopefully fix the issue.

Midov commented on 2022-04-04 09:24 (UTC) (edited on 2022-04-04 09:25 (UTC) by Midov)

Hey e-v, python-matrix-nio dependencies are a mess unfortunately. I had to edit /lib/python3.10/site-packages/matrix_nio-0.19.0.dist-info/METADATA and remove the lines containing cachetools<5.0.0,>=4.2.1 and aiofiles<0.7.0,>=0.6.0

When you do that, pantalaimon starts working fine.

... I have no idea why do they keep adding retarded restrictions like these even though it works with the new versions.

e-v commented on 2022-04-04 09:18 (UTC)

Hi all,

When I run Pantalaimon, I get the following output:

  warnings.warn(
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 573, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 891, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 782, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cachetools 5.0.0 (/usr/lib/python3.10/site-packages), Requirement.parse('cachetools<5.0.0,>=4.2.1; extra == "e2e"'), {'matrix-nio'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/sbin/pantalaimon", line 33, in <module>
    sys.exit(load_entry_point('pantalaimon==0.10.4', 'console_scripts', 'pantalaimon')())
  File "/usr/sbin/pantalaimon", line 25, in importlib_load_entry_point
    return next(matches).load()
  File "/usr/lib/python3.10/importlib/metadata/__init__.py", line 171, in load
    module = import_module(match.group('module'))
  File "/usr/lib/python3.10/importlib/__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 1050, in _gcd_import
  File "<frozen importlib._bootstrap>", line 1027, in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 688, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 883, in exec_module
  File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed
  File "/usr/lib/python3.10/site-packages/pantalaimon/main.py", line 24, in <module>
    import nio
  File "/usr/lib/python3.10/site-packages/nio/__init__.py", line 2, in <module>
    from .client import *
  File "/usr/lib/python3.10/site-packages/nio/client/__init__.py", line 6, in <module>
    from .async_client import AsyncClient, AsyncClientConfig, DataProvider
  File "/usr/lib/python3.10/site-packages/nio/client/async_client.py", line 47, in <module>
    from aiohttp import (
  File "/usr/lib/python3.10/site-packages/aiohttp/__init__.py", line 212, in <module>
    from .worker import GunicornUVLoopWebWorker, GunicornWebWorker
  File "/usr/lib/python3.10/site-packages/aiohttp/worker.py", line 11, in <module>
    from gunicorn.config import AccessLogFormat as GunicornAccessLogFormat
  File "/usr/lib/python3.10/site-packages/gunicorn/config.py", line 20, in <module>
    from gunicorn import __version__, util
  File "/usr/lib/python3.10/site-packages/gunicorn/util.py", line 25, in <module>
    import pkg_resources
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3266, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3240, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 3278, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 575, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 588, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.10/site-packages/pkg_resources/__init__.py", line 782, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (cachetools 5.0.0 (/usr/lib/python3.10/site-packages), Requirement.parse('cachetools<5.0.0,>=4.2.1; extra == "e2e"'), {'matrix-nio'})

I tried fixing this by looking through the deps, but didn't get anywhere. Does anyone know what could be causing this?

Thanks,

ev

BenTheTechGuy commented on 2021-05-16 00:15 (UTC)

The checksum needs to be updated, the package fails to build.

Midov commented on 2021-01-19 19:58 (UTC) (edited on 2021-01-19 19:58 (UTC) by Midov)

Looks like it does not work with python-matrix-nio 0.16.0-1
If you upgraded already, you will probably have to go back to 0.15.2 for now

nielsk commented on 2020-05-28 04:05 (UTC)

:: error: Can't resolve dependencies for AUR package 'pantalaimon': Version mismatch: pantalaimon depends on: 'python-peewee<=3.13' found in 'PackageSource.REPO': '3.13.3-1'

Midov commented on 2020-05-26 05:35 (UTC) (edited on 2020-05-26 05:36 (UTC) by Midov)

There is no such thing as "against" the main distro, pacman literally leaves you old package versions in /var/cache/pacman in case you need to downgrade. There is also Arch package archive in case you cleared your cache. Package is up to date with upstream and its working on my machine, deal with it.

rek2 commented on 2020-05-26 02:34 (UTC) (edited on 2020-05-26 02:35 (UTC) by rek2)

your package is NOT working, arch defaults to diff library versions, I told the main developer, he has fixed it upstream.... but your package is broken,

==> Error: Could not find all required packages:
    python-click<=7.1.1 (Wanted by: pantalaimon)
    python-appdirs<=1.4.3 (Wanted by: pantalaimon)

Why is broken? because ARCH officially is up to 7.1.2 for python-click so downgrade is to go "against" the main distro, so is the OS > one package.

Midov commented on 2020-05-23 21:43 (UTC)

Bruh wtf are you talking about, there is no new release yet. either wait for a new release or go make a -git package.

rek2 commented on 2020-05-23 14:11 (UTC)

They have fix this on master... please update.

aur/pantalaimon 0.6.1-1 -> 0.6.1-2 ==> Packages to exclude: (eg: "1 2 3", "1-3", "^4" or repo name) ==> ==> Error: Could not find all required packages: python-click<=7.1.1 (Wanted by: pantalaimon) python-appdirs<=1.4.3 (Wanted by: pantalaimon)

https://github.com/matrix-org/pantalaimon/commit/d9a4b91d70a7c6375ccd000bd94b223f49ba2c6e

Midov commented on 2020-05-19 13:20 (UTC)

@a000a you will have to downgrade those packages untill new pantalaimon version comes out

a2sc commented on 2020-05-19 11:55 (UTC)

The package depends on python-appdirs<=1.4.3 and python-click<=7.1.1 which are both not available anymore in aur

davebloggt commented on 2020-05-12 07:55 (UTC)

That was a quick fix, thanks!

Midov commented on 2020-05-12 07:54 (UTC)

Indeed, the checksum was wrong. Its fixed now.

davebloggt commented on 2020-05-12 07:47 (UTC)

Thanks for updating to 0.6.0! It seems that you forgot to update the checksum in the PKGBUILD or it changed on the server. Either way, I get a checksum error when trying to build the package. I'd be grateful if you could take a look at it.

Midov commented on 2020-02-25 15:07 (UTC)

@aiM0a i have now added the man pages

aiM0a commented on 2020-02-25 14:17 (UTC)

Just out of curiosity, what is the reason this doesn't install without the man pages?

Midov commented on 2019-09-26 09:51 (UTC)

thanks diabonas, updated

diabonas commented on 2019-09-20 08:05 (UTC) (edited on 2019-09-20 12:10 (UTC) by diabonas)

This package should depend on python-nio instead of matrix-nio-git, which has been deleted from the AUR. The upstream source is identical, so no further changes other than updating the name should be required.